<?php
/**
 * @file
 * Code for the prv_extras settings page.
 */

/**
 * Settings form for the NET-Metrix configuration.
 */
function prv_extras_netmetrix_settings_form() {
  $form = array();

  $form['prv_extras_netmetrix_enabled'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable NET-Metrix'),
    '#default_value' => variable_get('prv_extras_netmetrix_enabled', 0),
    '#description' => t('Enable NET-Metrix script.'),
  );

  $form['prv_extras_netmetrix_tag'] = array(
    '#type' => 'textarea',
    '#title' => t('NET-Metrix tag'),
    '#default_value' => variable_get('prv_extras_netmetrix_tag', ''),
    '#description' => t('Complete NET-Metrix script that should be displayed after the body-Tag (appendet to page_top).'),
  );

  $form['prv_extras_netmetrix_tag_script'] = array(
    '#type' => 'textfield',
    '#title' => t('NET-Metrix/WEMF Tag - Script only'),
    '#maxlength' => 500,
    '#default_value' => variable_get('prv_extras_netmetrix_tag_script', '"http://DOMAIN.wemfbox.ch/cgi-bin/ivw/CP?r=" + escape(document.referrer) + "&d=" + (Math.random()*100000)'),
    '#description' => t('Single line NET-Metrix script to use for tracking over javascript document.write(CODE). Use the JavaScript function getNetmatrix() to get this code.'),
  );

  $form['prv_extras_netmetrix_tag_pages'] = array(
    '#type' => 'textarea',
    '#title' => t('Pages to exclude Tags'),
    '#maxlength' => 1000,
    '#default_value' => variable_get('prv_extras_netmetrix_tag_pages', 'admin/*'),
    '#description' => t("Enter one page per line as Drupal paths. The '*' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.", array('%blog' => 'blog', '%blog-wildcard' => 'blog/*', '%front' => '<front>')),
  );

  return system_settings_form($form);
}
