<?php

/**
 * @file
 * Builds placeholder replacement tokens for prv extras.
 */

/**
 * Implements hook_token_info().
 */
function prv_extras_token_info() {

  $types['prv_extras'] = array(
    'name' => t("PRV Extras"),
    'description' => t("Extra Tokens for site-wide settings and other global information."),
  );

  $prv['logo'] = array(
    'name' => t("Logo"),
    'description' => t("Get the acutal Theme Logo of the site."),
  );

  return array(
    'types' => $types,
    'tokens' => array(
      'prv_extras' => $prv,
    ),
  );
}

/**
 * Implements hook_tokens().
 */
function prv_extras_tokens($type, $tokens, array $data = array(), array $options = array()) {
  global $base_url;
  $replacements = array();

  if ($type == 'prv_extras') {

    foreach ($tokens as $name => $original) {
      switch ($name) {
        case 'logo':
          // Get the theme logo
          drupal_theme_initialize();
          $logo = theme_get_setting('logo_path');
          $logo = strlen($logo) >  0 ? $base_url . '/' . $logo : '';

          $replacements[$original] = $logo;
          break;
      }
    }
  }

  return $replacements;
}

